<?php
/**
 * lz-real-blog: Customizer
 *
 * @subpackage lz-real-blog
 * @since 1.0
 */

function lz_real_blog_customize_register( $wp_customize ) {

	$wp_customize->add_setting('lz_real_blog_logo_padding',array(
		'sanitize_callback'	=> 'esc_html'
	));
	$wp_customize->add_control('lz_real_blog_logo_padding',array(
		'label' => __('Logo Padding','lz-real-blog'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('lz_real_blog_logo_top_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'lz_real_blog_sanitize_float'
	));
	$wp_customize->add_control('lz_real_blog_logo_top_padding',array(
		'type' => 'number',
		'description' => __('Top','lz-real-blog'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('lz_real_blog_logo_bottom_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'lz_real_blog_sanitize_float'
	));
	$wp_customize->add_control('lz_real_blog_logo_bottom_padding',array(
		'type' => 'number',
		'description' => __('Bottom','lz-real-blog'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('lz_real_blog_logo_left_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'lz_real_blog_sanitize_float'
	));
	$wp_customize->add_control('lz_real_blog_logo_left_padding',array(
		'type' => 'number',
		'description' => __('Left','lz-real-blog'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('lz_real_blog_logo_right_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'lz_real_blog_sanitize_float'
	));
	$wp_customize->add_control('lz_real_blog_logo_right_padding',array(
		'type' => 'number',
		'description' => __('Right','lz-real-blog'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('lz_real_blog_show_site_title',array(
		'default' => true,
		'sanitize_callback' => 'lz_real_blog_sanitize_checkbox'
	));
	$wp_customize->add_control('lz_real_blog_show_site_title',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Site Title','lz-real-blog'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('lz_real_blog_site_title_font_size',array(
		'default' => '',
		'sanitize_callback'	=> 'lz_real_blog_sanitize_float'
	));
	$wp_customize->add_control('lz_real_blog_site_title_font_size',array(
		'type' => 'number',
		'label' => __('Site Title Font Size','lz-real-blog'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('lz_real_blog_show_tagline',array(
		'default' => true,
		'sanitize_callback'	=> 'lz_real_blog_sanitize_checkbox'
	));
	$wp_customize->add_control('lz_real_blog_show_tagline',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Site Tagline','lz-real-blog'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('lz_real_blog_site_tagline_font_size',array(
		'default' => '',
		'sanitize_callback'	=> 'lz_real_blog_sanitize_float'
	));
	$wp_customize->add_control('lz_real_blog_site_tagline_font_size',array(
		'type' => 'number',
		'label' => __('Site Tagline Font Size','lz-real-blog'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_panel( 'lz_real_blog_panel_id', array(
	   'priority' => 10,
	   'capability' => 'edit_theme_options',
	   'theme_supports' => '',
	   'title' => __( 'Theme Settings', 'lz-real-blog' ),
	   'description' => __( 'Description of what this panel does.', 'lz-real-blog' ),
	) );

	$wp_customize->add_section( 'lz_real_blog_theme_options_section', array(
    	'title'      => __( 'General Settings', 'lz-real-blog' ),
		'priority'   => 30,
		'panel' => 'lz_real_blog_panel_id'
	) );

	// Add Settings and Controls for Layout
	$wp_customize->add_setting('lz_real_blog_theme_options',array(
        'default' => 'Right Sidebar',
        'sanitize_callback' => 'lz_real_blog_sanitize_choices'	        
	));
	$wp_customize->add_control('lz_real_blog_theme_options', array(
      'type' => 'radio',
      'label' => __('Do you want this section','lz-real-blog'),
      'section' => 'lz_real_blog_theme_options_section',
      'choices' => array(
         'Left Sidebar' => __('Left Sidebar','lz-real-blog'),
         'Right Sidebar' => __('Right Sidebar','lz-real-blog'),
         'One Column' => __('One Column','lz-real-blog'),
         'Three Columns' => __('Three Columns','lz-real-blog'),
         'Four Columns' => __('Four Columns','lz-real-blog'),
         'Grid Layout' => __('Grid Layout','lz-real-blog')
      ),
	));

	// Contact Details
	$wp_customize->add_section( 'lz_real_blog_contact_details', array(
    	'title'      => __( 'Header Contact Details', 'lz-real-blog' ),
		'priority'   => null,
		'panel' => 'lz_real_blog_panel_id'
	) );

	$wp_customize->add_setting('lz_real_blog_hide_show_topbar',array(
    	'default' => false,
    	'sanitize_callback'	=> 'lz_real_blog_sanitize_checkbox'
	));
	$wp_customize->add_control('lz_real_blog_hide_show_topbar',array(
   	'type' => 'checkbox',
   	'label' => __('Show / Hide Topbar','lz-real-blog'),
   	'section' => 'lz_real_blog_contact_details',
	));

	$wp_customize->add_setting('lz_real_blog_mail',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_email'
	));	
	$wp_customize->add_control('lz_real_blog_mail',array(
		'label'	=> __('Email Address','lz-real-blog'),
		'section'=> 'lz_real_blog_contact_details',
		'setting'=> 'lz_real_blog_mail',
		'type'=> 'text'
	));	

	$wp_customize->add_setting('lz_real_blog_location',array(
		'default'=> '',
		'sanitize_callback'	=> 'lz_real_blog_sanitize_phone_number'
	));	
	$wp_customize->add_control('lz_real_blog_location',array(
		'label'	=> __('Contact Number','lz-real-blog'),
		'section'=> 'lz_real_blog_contact_details',
		'setting'=> 'lz_real_blog_location',
		'type'=> 'text'
	));

	$wp_customize->add_setting( 'lz_real_blog_hdrtext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	 ));
	 $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_real_blog_hdrtext_color', array(
		'label' => 'Text Color',
		'section' => 'lz_real_blog_contact_details',
	 )));

	 $wp_customize->add_setting( 'lz_real_blog_hdricon_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	 ));
	 $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_real_blog_hdricon_color', array(
		'label' => 'Icons Color',
		'section' => 'lz_real_blog_contact_details',
	 )));

	$wp_customize->add_setting( 'lz_real_blog_hdrbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	 ));
	 $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_real_blog_hdrbg_color', array(
		'label' => 'Background Color',
		'section' => 'lz_real_blog_contact_details',
	 )));

	//Social Icons(topbar)
	$wp_customize->add_section('lz_real_blog_topbar_header',array(
		'title'	=> __('Social Icon Section','lz-real-blog'),
		'description'	=> __('<b>Note :</b> Add Header Content here','lz-real-blog'),
		'priority'	=> null,
		'panel' => 'lz_real_blog_panel_id',
	));

	$wp_customize->add_setting('lz_real_blog_facebook_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('lz_real_blog_facebook_url',array(
		'label'	=> __('Add Facebook link','lz-real-blog'),
		'section'	=> 'lz_real_blog_topbar_header',
		'setting'	=> 'lz_real_blog_facebook_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('lz_real_blog_twitter_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('lz_real_blog_twitter_url',array(
		'label'	=> __('Add Twitter link','lz-real-blog'),
		'section'	=> 'lz_real_blog_topbar_header',
		'setting'	=> 'lz_real_blog_twitter_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('lz_real_blog_pinterest_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('lz_real_blog_pinterest_url',array(
		'label'	=> __('Add Pinterest link','lz-real-blog'),
		'section'	=> 'lz_real_blog_topbar_header',
		'setting'	=> 'lz_real_blog_pinterest_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('lz_real_blog_linkedin_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('lz_real_blog_linkedin_url',array(
		'label'	=> __('Add Linkedin link','lz-real-blog'),
		'section'	=> 'lz_real_blog_topbar_header',
		'setting'	=> 'lz_real_blog_linkedin_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('lz_real_blog_insta_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('lz_real_blog_insta_url',array(
		'label'	=> __('Add Instagram link','lz-real-blog'),
		'section'	=> 'lz_real_blog_topbar_header',
		'setting'	=> 'lz_real_blog_insta_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting( 'lz_real_blog_hdrsicon_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	 ));
	 $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_real_blog_hdrsicon_color', array(
		'label' => 'Icons Color',
		'section' => 'lz_real_blog_topbar_header',
	 )));

	//home page slider
	$wp_customize->add_section( 'lz_real_blog_slider_section' , array(
    	'title'      => __( 'Slider Settings', 'lz-real-blog' ),
		'priority'   => null,
		'panel' => 'lz_real_blog_panel_id'
	) );

	$wp_customize->add_setting('lz_real_blog_slider_hide_show',array(
		'default' => false,
		'sanitize_callback' => 'lz_real_blog_sanitize_checkbox'
	));
	$wp_customize->add_control('lz_real_blog_slider_hide_show',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Slider','lz-real-blog'),
		'section' => 'lz_real_blog_slider_section'
	));

	for ( $count = 1; $count <= 4; $count++ ) {
		$wp_customize->add_setting( 'lz_real_blog_slider' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'lz_real_blog_sanitize_dropdown_pages'
		) );
		$wp_customize->add_control( 'lz_real_blog_slider' . $count, array(
			'label'    => __( 'Select Slide Image Page', 'lz-real-blog' ),
			'section'  => 'lz_real_blog_slider_section',
			'type'     => 'dropdown-pages'
		) );
	}

	$wp_customize->add_setting( 'lz_real_blog_slider_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_real_blog_slider_color', array(
		'label' => 'Text Color',
		'section' => 'lz_real_blog_slider_section',
	)));

	 $wp_customize->add_setting( 'lz_real_blog_slider_np_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_real_blog_slider_np_color', array(
		'label' => 'Next/Pre Arrow Color',
		'section' => 'lz_real_blog_slider_section',
	)));

	//TRENDING ITEMS
	$wp_customize->add_section('lz_real_blog_trending_items',array(
		'title'	=> __('Trending Items','lz-real-blog'),
		'description'=> __('<b>Note :</b> This section will appear below the slider.','lz-real-blog'),
		'panel' => 'lz_real_blog_panel_id',
	));

	$wp_customize->add_setting('lz_real_blog_trending_title',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('lz_real_blog_trending_title',array(
		'label'	=> __('Section Title','lz-real-blog'),
		'section'	=> 'lz_real_blog_trending_items',
		'setting'	=> 'lz_real_blog_trending_title',
		'type'		=> 'text'
	));

	$categories = get_categories();
	$cats = array();
	$i = 0;
	foreach($categories as $category){
	if($i==0){
	$default = $category->slug;
	$i++;
	}
	$cats[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('lz_real_blog_trendingcategory_setting',array(
		'default'	=> 'select',
		'sanitize_callback' => 'lz_real_blog_sanitize_choices',
	));
	$wp_customize->add_control('lz_real_blog_trendingcategory_setting',array(
		'type'    => 'select',
		'choices' => $cats,
		'label' => __('Select Category To Display Latest Post','lz-real-blog'),
		'section' => 'lz_real_blog_trending_items',
	));

	$wp_customize->add_setting('lz_real_blog_trending_section_padding',array(
      'default' => '',
      'sanitize_callback'	=> 'lz_real_blog_sanitize_float'
   ));
   $wp_customize->add_control('lz_real_blog_trending_section_padding',array(
      'type' => 'number',
      'label' => __('Section Top Bottom Padding','lz-real-blog'),
      'section' => 'lz_real_blog_trending_items',
   ));

   $wp_customize->add_setting( 'lz_real_blog_trending_color', array(
	'default' => '',
	'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_real_blog_trending_color', array(
		'label' => 'Title Color',
		'section' => 'lz_real_blog_trending_items',
	)));

	$wp_customize->add_setting( 'lz_real_blog_trendingtext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_real_blog_trendingtext_color', array(
		'label' => 'Text Color',
		'section' => 'lz_real_blog_trending_items',
	)));

	$wp_customize->add_setting( 'lz_real_blog_trendingboxbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_real_blog_trendingboxbg_color', array(
		'label' => 'Box Bg Color',
		'section' => 'lz_real_blog_trending_items',
	)));

	//Footer
   $wp_customize->add_section( 'lz_real_blog_footer', array(
    	'title'      => __( 'Footer Setting', 'lz-real-blog' ),
		'priority'   => null,
		'panel' => 'lz_real_blog_panel_id'
	) );

	$wp_customize->add_setting('lz_real_blog_show_back_totop',array(
 		'default' => true,
		'sanitize_callback'	=> 'lz_real_blog_sanitize_checkbox'
	));
	$wp_customize->add_control('lz_real_blog_show_back_totop',array(
   	'type' => 'checkbox',
   	'label' => __('Show / Hide Back to Top','lz-real-blog'),
   	'section' => 'lz_real_blog_footer'
	));

	$wp_customize->add_setting('lz_real_blog_footer_link',array(
		'default' => 'https://www.luzuk.com/product/premium-blog-wordpress-theme/',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('lz_real_blog_footer_link',array(
		'label'	=> __('Copyright Link','lz-real-blog'),
		'section' => 'lz_real_blog_footer',
		'setting' => 'lz_real_blog_footer_link',
		'type' => 'text'
	));

   $wp_customize->add_setting('lz_real_blog_footer_copy',array(
		'default'	=> 'Welcome to LZ Real Blog WordPress Theme',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('lz_real_blog_footer_copy',array(
		'label'	=> __('Copyright Text','lz-real-blog'),
		'section'	=> 'lz_real_blog_footer',
		'setting'	=> 'lz_real_blog_footer_copy',
		'type'		=> 'text'
	));

	$wp_customize->add_setting( 'lz_real_blog_copyright_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_real_blog_copyright_color', array(
		'label' => 'Text Color',
		'section' => 'lz_real_blog_footer',
	)));

	$wp_customize->add_setting( 'lz_real_blog_copyrightbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'lz_real_blog_copyrightbg_color', array(
		'label' => 'Background Color',
		'section' => 'lz_real_blog_footer',
	)));

	$wp_customize->get_setting( 'blogname' )->transport          = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport   = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport  = 'postMessage';

	$wp_customize->selective_refresh->add_partial( 'blogname', array(
		'selector' => '.site-title a',
		'render_callback' => 'lz_real_blog_customize_partial_blogname',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
		'selector' => '.site-description',
		'render_callback' => 'lz_real_blog_customize_partial_blogdescription',
	) );
}
add_action( 'customize_register', 'lz_real_blog_customize_register' );

function lz_real_blog_customize_partial_blogname() {
	bloginfo( 'name' );
}

function lz_real_blog_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

function lz_real_blog_is_static_front_page() {
	return ( is_front_page() && ! is_home() );
}

function lz_real_blog_is_view_with_layout_option() {
	// This option is available on all pages. It's also available on archives when there isn't a sidebar.
	return ( is_page() || ( is_archive() && ! is_active_sidebar( 'sidebar-1' ) ) );
}

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class LZ_Real_Blog_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $manager
	 * @return void
	 */
	public function sections( $manager ) {

		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/inc/section-pro.php' );

		// Register custom section types.
		$manager->register_section_type( 'LZ_Real_Blog_Customize_Section_Pro' );

		// Register sections.
		$manager->add_section(
			new LZ_Real_Blog_Customize_Section_Pro(
				$manager,
				'lz_real_blog_example_1',
				array(
					'priority' => 9,
					'title'    => esc_html__( 'LZ Real Blog Pro', 'lz-real-blog' ),
					'pro_text' => esc_html__( 'Go Pro','lz-real-blog' ),
					'pro_url'  => esc_url( 'https://www.luzuk.com/product/premium-blog-wordpress-theme/' ),
				)
			)
		);
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'lz-real-blog-customize-controls', trailingslashit( esc_url(get_template_directory_uri()) ) . '/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'lz-real-blog-customize-controls', trailingslashit( esc_url(get_template_directory_uri()) ) . '/assets/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
LZ_Real_Blog_Customize::get_instance();